#!/bin/sh

workDir='/Users/USER/GeektoolScripts'

normal='[0m'
bold='[1m'
italic='[3m'
underline='[4m'
boldOff='[22m'
italicOff='[23m'
underlineOff='[24m'
fgBlack='[30m'
fgRed='[31m'

#
# get unread Emails
#
${workDir}/getGmail.sh #| ${workDir}/decodeHTML.pl
echo "";
echo "";
#
# get iCal events (most have icalBuddy installed)
# to configure icalBuddy colors type in Terminal: icalBuddy editConfig
#
echo "${bold}${fgRed}Events:${normal}"
/usr/local/bin/icalBuddy  -ss "" -sd -eep notes -po title,datetime eventsToday+5 | ${workDir}/decodeHTML.pl
#
echo "";
echo "";
#
# get Google reader unread items and highlight the keywords found in the aSacar.txt file
# You can use this highlight script anywhere you like. Just pipe the text to it and tell it the file where the keywords to highlight are 
#
${workDir}/getGReader.sh  | ${workDir}/decodeHTML.pl | tr '»' '>' | ${workDir}/highlight.sh ${workDir}/aSacar.txt
#
echo "";
echo "";
#
# get latest tweets
#
echo "${fgRed}${bold}Tweets:${normal}"
cat -u "${workDir}/twitter.result" # twitter can only be checked 150 times a day and since this script runs every minute...
# I run this (below) seperatly in order to update the above file (twitter.result) at most 150 times a day! 
# ${workDir}/twitter.sh | ${workDir}/decodeHTML.pl | head -n7
