#!/bin/sh

workDir='/Users/USER/GeektoolScripts'

#
# NOTE: tweeter only allows 150 "checks" per day so set Geektool to run this script every 480 seconds or more!
#

normal='[0m'
bold='[1m'
italic='[3m'
underline='[4m'
boldOff='[22m'
italicOff='[23m'
underlineOff='[24m'
fgBlack='[30m'
fgRed='[31m'
fgGreen='[32m'
fgYellow='[33m'

#crop news at 80 character max
newsLength='80'

curl -s -u USERNAME:PASSWORD http://twitter.com/statuses/friends_timeline.rss |\
grep -E '\<title>|\<pubDate>' | \
head -n 31 | tail -n 30 | \
sed -E 's/^[ ]+//' | sed -n -E \
'1h;1!{;/<title>.+<\/pubDate>/ !H;g;/<title>.+<\/pubDate>/ {;s/<title>([a-zA-Z]+):[ ](.{0,'"$newsLength"'}).*<\/title>.+<pubDate>.+,[ ](.+)[0-9]{4}[ ]*(.+):[0-9]{2}[ ]\+[0-9]{4}<\/pubDate>/'"$bold"' * \2'"${normal}${fgYellow}"' \3\4 | '"$normal"'\1/g;p;n;h;};h;};$p' \
# decode some HTML characters
| ${workDir}/decodeHTML.pl | \
# select only the most 8 recent tweets
head -n8 \
# send the output to a file. (not required)
> ${workDir}/twitter.result
#'1h;1!{;/<title>.+<\/pubDate>/ !H;g;/<title>.+<\/pubDate>/ {;s/<title>(.+)<\/title>.+<pubDate>.+([0-9]+:[0-9]+:[0-9]+).+<\/pubDate>/'"${fgRed}"'\2'"${normal}"' \1/g;p;n;h;};h;};$p'
